Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network60.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
60.0.0.0
Broadcast address
61.255.255.255
First usable
60.0.0.1
Last usable
61.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 3C000000 · Integer 1006632960 to 1040187391
Reverse DNS zones
60.in-addr.arpa
61.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111100.00000000.00000000.0000000060.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network00111100.00000000.00000000.0000000060.0.0.0
Broadcast00111101.11111111.11111111.1111111161.255.255.255
Split into smaller subnets/19

60.0.0.0/7 makes 4,096 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
160.0.0.0/1960.0.0.1 to 60.0.31.25460.0.31.2558,190
260.0.32.0/1960.0.32.1 to 60.0.63.25460.0.63.2558,190
360.0.64.0/1960.0.64.1 to 60.0.95.25460.0.95.2558,190
460.0.96.0/1960.0.96.1 to 60.0.127.25460.0.127.2558,190
560.0.128.0/1960.0.128.1 to 60.0.159.25460.0.159.2558,190
660.0.160.0/1960.0.160.1 to 60.0.191.25460.0.191.2558,190
760.0.192.0/1960.0.192.1 to 60.0.223.25460.0.223.2558,190
860.0.224.0/1960.0.224.1 to 60.0.255.25460.0.255.2558,190
960.1.0.0/1960.1.0.1 to 60.1.31.25460.1.31.2558,190
1060.1.32.0/1960.1.32.1 to 60.1.63.25460.1.63.2558,190
1160.1.64.0/1960.1.64.1 to 60.1.95.25460.1.95.2558,190
1260.1.96.0/1960.1.96.1 to 60.1.127.25460.1.127.2558,190
1360.1.128.0/1960.1.128.1 to 60.1.159.25460.1.159.2558,190
1460.1.160.0/1960.1.160.1 to 60.1.191.25460.1.191.2558,190
1560.1.192.0/1960.1.192.1 to 60.1.223.25460.1.223.2558,190
1660.1.224.0/1960.1.224.1 to 60.1.255.25460.1.255.2558,190
1760.2.0.0/1960.2.0.1 to 60.2.31.25460.2.31.2558,190
1860.2.32.0/1960.2.32.1 to 60.2.63.25460.2.63.2558,190
1960.2.64.0/1960.2.64.1 to 60.2.95.25460.2.95.2558,190
2060.2.96.0/1960.2.96.1 to 60.2.127.25460.2.127.2558,190
2160.2.128.0/1960.2.128.1 to 60.2.159.25460.2.159.2558,190
2260.2.160.0/1960.2.160.1 to 60.2.191.25460.2.191.2558,190
2360.2.192.0/1960.2.192.1 to 60.2.223.25460.2.223.2558,190
2460.2.224.0/1960.2.224.1 to 60.2.255.25460.2.255.2558,190
2560.3.0.0/1960.3.0.1 to 60.3.31.25460.3.31.2558,190
2660.3.32.0/1960.3.32.1 to 60.3.63.25460.3.63.2558,190
2760.3.64.0/1960.3.64.1 to 60.3.95.25460.3.95.2558,190
2860.3.96.0/1960.3.96.1 to 60.3.127.25460.3.127.2558,190
2960.3.128.0/1960.3.128.1 to 60.3.159.25460.3.159.2558,190
3060.3.160.0/1960.3.160.1 to 60.3.191.25460.3.191.2558,190
3160.3.192.0/1960.3.192.1 to 60.3.223.25460.3.223.2558,190
3260.3.224.0/1960.3.224.1 to 60.3.255.25460.3.255.2558,190
3360.4.0.0/1960.4.0.1 to 60.4.31.25460.4.31.2558,190
3460.4.32.0/1960.4.32.1 to 60.4.63.25460.4.63.2558,190
3560.4.64.0/1960.4.64.1 to 60.4.95.25460.4.95.2558,190
3660.4.96.0/1960.4.96.1 to 60.4.127.25460.4.127.2558,190
3760.4.128.0/1960.4.128.1 to 60.4.159.25460.4.159.2558,190
3860.4.160.0/1960.4.160.1 to 60.4.191.25460.4.191.2558,190
3960.4.192.0/1960.4.192.1 to 60.4.223.25460.4.223.2558,190
4060.4.224.0/1960.4.224.1 to 60.4.255.25460.4.255.2558,190
4160.5.0.0/1960.5.0.1 to 60.5.31.25460.5.31.2558,190
4260.5.32.0/1960.5.32.1 to 60.5.63.25460.5.63.2558,190
4360.5.64.0/1960.5.64.1 to 60.5.95.25460.5.95.2558,190
4460.5.96.0/1960.5.96.1 to 60.5.127.25460.5.127.2558,190
4560.5.128.0/1960.5.128.1 to 60.5.159.25460.5.159.2558,190
4660.5.160.0/1960.5.160.1 to 60.5.191.25460.5.191.2558,190
4760.5.192.0/1960.5.192.1 to 60.5.223.25460.5.223.2558,190
4860.5.224.0/1960.5.224.1 to 60.5.255.25460.5.255.2558,190
4960.6.0.0/1960.6.0.1 to 60.6.31.25460.6.31.2558,190
5060.6.32.0/1960.6.32.1 to 60.6.63.25460.6.63.2558,190
5160.6.64.0/1960.6.64.1 to 60.6.95.25460.6.95.2558,190
5260.6.96.0/1960.6.96.1 to 60.6.127.25460.6.127.2558,190
5360.6.128.0/1960.6.128.1 to 60.6.159.25460.6.159.2558,190
5460.6.160.0/1960.6.160.1 to 60.6.191.25460.6.191.2558,190
5560.6.192.0/1960.6.192.1 to 60.6.223.25460.6.223.2558,190
5660.6.224.0/1960.6.224.1 to 60.6.255.25460.6.255.2558,190
5760.7.0.0/1960.7.0.1 to 60.7.31.25460.7.31.2558,190
5860.7.32.0/1960.7.32.1 to 60.7.63.25460.7.63.2558,190
5960.7.64.0/1960.7.64.1 to 60.7.95.25460.7.95.2558,190
6060.7.96.0/1960.7.96.1 to 60.7.127.25460.7.127.2558,190
6160.7.128.0/1960.7.128.1 to 60.7.159.25460.7.159.2558,190
6260.7.160.0/1960.7.160.1 to 60.7.191.25460.7.191.2558,190
6360.7.192.0/1960.7.192.1 to 60.7.223.25460.7.223.2558,190
6460.7.224.0/1960.7.224.1 to 60.7.255.25460.7.255.2558,190
6560.8.0.0/1960.8.0.1 to 60.8.31.25460.8.31.2558,190
6660.8.32.0/1960.8.32.1 to 60.8.63.25460.8.63.2558,190
6760.8.64.0/1960.8.64.1 to 60.8.95.25460.8.95.2558,190
6860.8.96.0/1960.8.96.1 to 60.8.127.25460.8.127.2558,190
6960.8.128.0/1960.8.128.1 to 60.8.159.25460.8.159.2558,190
7060.8.160.0/1960.8.160.1 to 60.8.191.25460.8.191.2558,190
7160.8.192.0/1960.8.192.1 to 60.8.223.25460.8.223.2558,190
7260.8.224.0/1960.8.224.1 to 60.8.255.25460.8.255.2558,190
7360.9.0.0/1960.9.0.1 to 60.9.31.25460.9.31.2558,190
7460.9.32.0/1960.9.32.1 to 60.9.63.25460.9.63.2558,190
7560.9.64.0/1960.9.64.1 to 60.9.95.25460.9.95.2558,190
7660.9.96.0/1960.9.96.1 to 60.9.127.25460.9.127.2558,190
7760.9.128.0/1960.9.128.1 to 60.9.159.25460.9.159.2558,190
7860.9.160.0/1960.9.160.1 to 60.9.191.25460.9.191.2558,190
7960.9.192.0/1960.9.192.1 to 60.9.223.25460.9.223.2558,190
8060.9.224.0/1960.9.224.1 to 60.9.255.25460.9.255.2558,190
8160.10.0.0/1960.10.0.1 to 60.10.31.25460.10.31.2558,190
8260.10.32.0/1960.10.32.1 to 60.10.63.25460.10.63.2558,190
8360.10.64.0/1960.10.64.1 to 60.10.95.25460.10.95.2558,190
8460.10.96.0/1960.10.96.1 to 60.10.127.25460.10.127.2558,190
8560.10.128.0/1960.10.128.1 to 60.10.159.25460.10.159.2558,190
8660.10.160.0/1960.10.160.1 to 60.10.191.25460.10.191.2558,190
8760.10.192.0/1960.10.192.1 to 60.10.223.25460.10.223.2558,190
8860.10.224.0/1960.10.224.1 to 60.10.255.25460.10.255.2558,190
8960.11.0.0/1960.11.0.1 to 60.11.31.25460.11.31.2558,190
9060.11.32.0/1960.11.32.1 to 60.11.63.25460.11.63.2558,190
9160.11.64.0/1960.11.64.1 to 60.11.95.25460.11.95.2558,190
9260.11.96.0/1960.11.96.1 to 60.11.127.25460.11.127.2558,190
9360.11.128.0/1960.11.128.1 to 60.11.159.25460.11.159.2558,190
9460.11.160.0/1960.11.160.1 to 60.11.191.25460.11.191.2558,190
9560.11.192.0/1960.11.192.1 to 60.11.223.25460.11.223.2558,190
9660.11.224.0/1960.11.224.1 to 60.11.255.25460.11.255.2558,190
9760.12.0.0/1960.12.0.1 to 60.12.31.25460.12.31.2558,190
9860.12.32.0/1960.12.32.1 to 60.12.63.25460.12.63.2558,190
9960.12.64.0/1960.12.64.1 to 60.12.95.25460.12.95.2558,190
10060.12.96.0/1960.12.96.1 to 60.12.127.25460.12.127.2558,190
10160.12.128.0/1960.12.128.1 to 60.12.159.25460.12.159.2558,190
10260.12.160.0/1960.12.160.1 to 60.12.191.25460.12.191.2558,190
10360.12.192.0/1960.12.192.1 to 60.12.223.25460.12.223.2558,190
10460.12.224.0/1960.12.224.1 to 60.12.255.25460.12.255.2558,190
10560.13.0.0/1960.13.0.1 to 60.13.31.25460.13.31.2558,190
10660.13.32.0/1960.13.32.1 to 60.13.63.25460.13.63.2558,190
10760.13.64.0/1960.13.64.1 to 60.13.95.25460.13.95.2558,190
10860.13.96.0/1960.13.96.1 to 60.13.127.25460.13.127.2558,190
10960.13.128.0/1960.13.128.1 to 60.13.159.25460.13.159.2558,190
11060.13.160.0/1960.13.160.1 to 60.13.191.25460.13.191.2558,190
11160.13.192.0/1960.13.192.1 to 60.13.223.25460.13.223.2558,190
11260.13.224.0/1960.13.224.1 to 60.13.255.25460.13.255.2558,190
11360.14.0.0/1960.14.0.1 to 60.14.31.25460.14.31.2558,190
11460.14.32.0/1960.14.32.1 to 60.14.63.25460.14.63.2558,190
11560.14.64.0/1960.14.64.1 to 60.14.95.25460.14.95.2558,190
11660.14.96.0/1960.14.96.1 to 60.14.127.25460.14.127.2558,190
11760.14.128.0/1960.14.128.1 to 60.14.159.25460.14.159.2558,190
11860.14.160.0/1960.14.160.1 to 60.14.191.25460.14.191.2558,190
11960.14.192.0/1960.14.192.1 to 60.14.223.25460.14.223.2558,190
12060.14.224.0/1960.14.224.1 to 60.14.255.25460.14.255.2558,190
12160.15.0.0/1960.15.0.1 to 60.15.31.25460.15.31.2558,190
12260.15.32.0/1960.15.32.1 to 60.15.63.25460.15.63.2558,190
12360.15.64.0/1960.15.64.1 to 60.15.95.25460.15.95.2558,190
12460.15.96.0/1960.15.96.1 to 60.15.127.25460.15.127.2558,190
12560.15.128.0/1960.15.128.1 to 60.15.159.25460.15.159.2558,190
12660.15.160.0/1960.15.160.1 to 60.15.191.25460.15.191.2558,190
12760.15.192.0/1960.15.192.1 to 60.15.223.25460.15.223.2558,190
12860.15.224.0/1960.15.224.1 to 60.15.255.25460.15.255.2558,190
12960.16.0.0/1960.16.0.1 to 60.16.31.25460.16.31.2558,190
13060.16.32.0/1960.16.32.1 to 60.16.63.25460.16.63.2558,190
13160.16.64.0/1960.16.64.1 to 60.16.95.25460.16.95.2558,190
13260.16.96.0/1960.16.96.1 to 60.16.127.25460.16.127.2558,190
13360.16.128.0/1960.16.128.1 to 60.16.159.25460.16.159.2558,190
13460.16.160.0/1960.16.160.1 to 60.16.191.25460.16.191.2558,190
13560.16.192.0/1960.16.192.1 to 60.16.223.25460.16.223.2558,190
13660.16.224.0/1960.16.224.1 to 60.16.255.25460.16.255.2558,190
13760.17.0.0/1960.17.0.1 to 60.17.31.25460.17.31.2558,190
13860.17.32.0/1960.17.32.1 to 60.17.63.25460.17.63.2558,190
13960.17.64.0/1960.17.64.1 to 60.17.95.25460.17.95.2558,190
14060.17.96.0/1960.17.96.1 to 60.17.127.25460.17.127.2558,190
14160.17.128.0/1960.17.128.1 to 60.17.159.25460.17.159.2558,190
14260.17.160.0/1960.17.160.1 to 60.17.191.25460.17.191.2558,190
14360.17.192.0/1960.17.192.1 to 60.17.223.25460.17.223.2558,190
14460.17.224.0/1960.17.224.1 to 60.17.255.25460.17.255.2558,190
14560.18.0.0/1960.18.0.1 to 60.18.31.25460.18.31.2558,190
14660.18.32.0/1960.18.32.1 to 60.18.63.25460.18.63.2558,190
14760.18.64.0/1960.18.64.1 to 60.18.95.25460.18.95.2558,190
14860.18.96.0/1960.18.96.1 to 60.18.127.25460.18.127.2558,190
14960.18.128.0/1960.18.128.1 to 60.18.159.25460.18.159.2558,190
15060.18.160.0/1960.18.160.1 to 60.18.191.25460.18.191.2558,190
15160.18.192.0/1960.18.192.1 to 60.18.223.25460.18.223.2558,190
15260.18.224.0/1960.18.224.1 to 60.18.255.25460.18.255.2558,190
15360.19.0.0/1960.19.0.1 to 60.19.31.25460.19.31.2558,190
15460.19.32.0/1960.19.32.1 to 60.19.63.25460.19.63.2558,190
15560.19.64.0/1960.19.64.1 to 60.19.95.25460.19.95.2558,190
15660.19.96.0/1960.19.96.1 to 60.19.127.25460.19.127.2558,190
15760.19.128.0/1960.19.128.1 to 60.19.159.25460.19.159.2558,190
15860.19.160.0/1960.19.160.1 to 60.19.191.25460.19.191.2558,190
15960.19.192.0/1960.19.192.1 to 60.19.223.25460.19.223.2558,190
16060.19.224.0/1960.19.224.1 to 60.19.255.25460.19.255.2558,190
16160.20.0.0/1960.20.0.1 to 60.20.31.25460.20.31.2558,190
16260.20.32.0/1960.20.32.1 to 60.20.63.25460.20.63.2558,190
16360.20.64.0/1960.20.64.1 to 60.20.95.25460.20.95.2558,190
16460.20.96.0/1960.20.96.1 to 60.20.127.25460.20.127.2558,190
16560.20.128.0/1960.20.128.1 to 60.20.159.25460.20.159.2558,190
16660.20.160.0/1960.20.160.1 to 60.20.191.25460.20.191.2558,190
16760.20.192.0/1960.20.192.1 to 60.20.223.25460.20.223.2558,190
16860.20.224.0/1960.20.224.1 to 60.20.255.25460.20.255.2558,190
16960.21.0.0/1960.21.0.1 to 60.21.31.25460.21.31.2558,190
17060.21.32.0/1960.21.32.1 to 60.21.63.25460.21.63.2558,190
17160.21.64.0/1960.21.64.1 to 60.21.95.25460.21.95.2558,190
17260.21.96.0/1960.21.96.1 to 60.21.127.25460.21.127.2558,190
17360.21.128.0/1960.21.128.1 to 60.21.159.25460.21.159.2558,190
17460.21.160.0/1960.21.160.1 to 60.21.191.25460.21.191.2558,190
17560.21.192.0/1960.21.192.1 to 60.21.223.25460.21.223.2558,190
17660.21.224.0/1960.21.224.1 to 60.21.255.25460.21.255.2558,190
17760.22.0.0/1960.22.0.1 to 60.22.31.25460.22.31.2558,190
17860.22.32.0/1960.22.32.1 to 60.22.63.25460.22.63.2558,190
17960.22.64.0/1960.22.64.1 to 60.22.95.25460.22.95.2558,190
18060.22.96.0/1960.22.96.1 to 60.22.127.25460.22.127.2558,190
18160.22.128.0/1960.22.128.1 to 60.22.159.25460.22.159.2558,190
18260.22.160.0/1960.22.160.1 to 60.22.191.25460.22.191.2558,190
18360.22.192.0/1960.22.192.1 to 60.22.223.25460.22.223.2558,190
18460.22.224.0/1960.22.224.1 to 60.22.255.25460.22.255.2558,190
18560.23.0.0/1960.23.0.1 to 60.23.31.25460.23.31.2558,190
18660.23.32.0/1960.23.32.1 to 60.23.63.25460.23.63.2558,190
18760.23.64.0/1960.23.64.1 to 60.23.95.25460.23.95.2558,190
18860.23.96.0/1960.23.96.1 to 60.23.127.25460.23.127.2558,190
18960.23.128.0/1960.23.128.1 to 60.23.159.25460.23.159.2558,190
19060.23.160.0/1960.23.160.1 to 60.23.191.25460.23.191.2558,190
19160.23.192.0/1960.23.192.1 to 60.23.223.25460.23.223.2558,190
19260.23.224.0/1960.23.224.1 to 60.23.255.25460.23.255.2558,190
19360.24.0.0/1960.24.0.1 to 60.24.31.25460.24.31.2558,190
19460.24.32.0/1960.24.32.1 to 60.24.63.25460.24.63.2558,190
19560.24.64.0/1960.24.64.1 to 60.24.95.25460.24.95.2558,190
19660.24.96.0/1960.24.96.1 to 60.24.127.25460.24.127.2558,190
19760.24.128.0/1960.24.128.1 to 60.24.159.25460.24.159.2558,190
19860.24.160.0/1960.24.160.1 to 60.24.191.25460.24.191.2558,190
19960.24.192.0/1960.24.192.1 to 60.24.223.25460.24.223.2558,190
20060.24.224.0/1960.24.224.1 to 60.24.255.25460.24.255.2558,190
20160.25.0.0/1960.25.0.1 to 60.25.31.25460.25.31.2558,190
20260.25.32.0/1960.25.32.1 to 60.25.63.25460.25.63.2558,190
20360.25.64.0/1960.25.64.1 to 60.25.95.25460.25.95.2558,190
20460.25.96.0/1960.25.96.1 to 60.25.127.25460.25.127.2558,190
20560.25.128.0/1960.25.128.1 to 60.25.159.25460.25.159.2558,190
20660.25.160.0/1960.25.160.1 to 60.25.191.25460.25.191.2558,190
20760.25.192.0/1960.25.192.1 to 60.25.223.25460.25.223.2558,190
20860.25.224.0/1960.25.224.1 to 60.25.255.25460.25.255.2558,190
20960.26.0.0/1960.26.0.1 to 60.26.31.25460.26.31.2558,190
21060.26.32.0/1960.26.32.1 to 60.26.63.25460.26.63.2558,190
21160.26.64.0/1960.26.64.1 to 60.26.95.25460.26.95.2558,190
21260.26.96.0/1960.26.96.1 to 60.26.127.25460.26.127.2558,190
21360.26.128.0/1960.26.128.1 to 60.26.159.25460.26.159.2558,190
21460.26.160.0/1960.26.160.1 to 60.26.191.25460.26.191.2558,190
21560.26.192.0/1960.26.192.1 to 60.26.223.25460.26.223.2558,190
21660.26.224.0/1960.26.224.1 to 60.26.255.25460.26.255.2558,190
21760.27.0.0/1960.27.0.1 to 60.27.31.25460.27.31.2558,190
21860.27.32.0/1960.27.32.1 to 60.27.63.25460.27.63.2558,190
21960.27.64.0/1960.27.64.1 to 60.27.95.25460.27.95.2558,190
22060.27.96.0/1960.27.96.1 to 60.27.127.25460.27.127.2558,190
22160.27.128.0/1960.27.128.1 to 60.27.159.25460.27.159.2558,190
22260.27.160.0/1960.27.160.1 to 60.27.191.25460.27.191.2558,190
22360.27.192.0/1960.27.192.1 to 60.27.223.25460.27.223.2558,190
22460.27.224.0/1960.27.224.1 to 60.27.255.25460.27.255.2558,190
22560.28.0.0/1960.28.0.1 to 60.28.31.25460.28.31.2558,190
22660.28.32.0/1960.28.32.1 to 60.28.63.25460.28.63.2558,190
22760.28.64.0/1960.28.64.1 to 60.28.95.25460.28.95.2558,190
22860.28.96.0/1960.28.96.1 to 60.28.127.25460.28.127.2558,190
22960.28.128.0/1960.28.128.1 to 60.28.159.25460.28.159.2558,190
23060.28.160.0/1960.28.160.1 to 60.28.191.25460.28.191.2558,190
23160.28.192.0/1960.28.192.1 to 60.28.223.25460.28.223.2558,190
23260.28.224.0/1960.28.224.1 to 60.28.255.25460.28.255.2558,190
23360.29.0.0/1960.29.0.1 to 60.29.31.25460.29.31.2558,190
23460.29.32.0/1960.29.32.1 to 60.29.63.25460.29.63.2558,190
23560.29.64.0/1960.29.64.1 to 60.29.95.25460.29.95.2558,190
23660.29.96.0/1960.29.96.1 to 60.29.127.25460.29.127.2558,190
23760.29.128.0/1960.29.128.1 to 60.29.159.25460.29.159.2558,190
23860.29.160.0/1960.29.160.1 to 60.29.191.25460.29.191.2558,190
23960.29.192.0/1960.29.192.1 to 60.29.223.25460.29.223.2558,190
24060.29.224.0/1960.29.224.1 to 60.29.255.25460.29.255.2558,190
24160.30.0.0/1960.30.0.1 to 60.30.31.25460.30.31.2558,190
24260.30.32.0/1960.30.32.1 to 60.30.63.25460.30.63.2558,190
24360.30.64.0/1960.30.64.1 to 60.30.95.25460.30.95.2558,190
24460.30.96.0/1960.30.96.1 to 60.30.127.25460.30.127.2558,190
24560.30.128.0/1960.30.128.1 to 60.30.159.25460.30.159.2558,190
24660.30.160.0/1960.30.160.1 to 60.30.191.25460.30.191.2558,190
24760.30.192.0/1960.30.192.1 to 60.30.223.25460.30.223.2558,190
24860.30.224.0/1960.30.224.1 to 60.30.255.25460.30.255.2558,190
24960.31.0.0/1960.31.0.1 to 60.31.31.25460.31.31.2558,190
25060.31.32.0/1960.31.32.1 to 60.31.63.25460.31.63.2558,190
25160.31.64.0/1960.31.64.1 to 60.31.95.25460.31.95.2558,190
25260.31.96.0/1960.31.96.1 to 60.31.127.25460.31.127.2558,190
25360.31.128.0/1960.31.128.1 to 60.31.159.25460.31.159.2558,190
25460.31.160.0/1960.31.160.1 to 60.31.191.25460.31.191.2558,190
25560.31.192.0/1960.31.192.1 to 60.31.223.25460.31.223.2558,190
25660.31.224.0/1960.31.224.1 to 60.31.255.25460.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses